csiactcopy cannot handle runlists anymore

04/04/2016 02:52 PM - Mayer Michael

Status: Closed Start date: 04/04/2016

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

While restructuring the cscripts, apparently a minor bug has been slipped in:

in csiactcopy line 333:

runfile = open(self._runlist)

should be replaced by

runfile = open(self._runlist.url())

The reason is that self._runlist is no longer a string, but a GFilename instance.

History

#1 - 04/05/2016 02:09 PM - Knödlseder Jürgen

Sorry for that. You may just commit a fix.

I have started to rework a bit the scripts according to the Sonar issues. Some of the scripts have methods that are rather lengthy, and also have some

code duplications. We should start now to break the code into functional units (i.e. introduce private methods). I have also seen that we should reduce

the data members, and rather pass things as function arguments.

Maybe you can scan a bit the sonar issues and look into a possible refactoring of the IACT scripts.

Note that we also should have homogenous public methods (run(), save(), execute()).

#2 - 04/05/2016 03:05 PM - Mayer Michael

- Status changed from New to Pull request

Fix is here:

1754-csiactcopy-runlist-GFilename-fix

I will look into more detail into refactoring the cscripts during the next weeks.

#3 - 04/11/2016 03:22 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Assigned To set to Mayer Michael
- Target version set to 1.1.0

- % Done changed from 0 to 100

Merged into devel.

I have noticed that you merged in the workflow and the ctools coding conventions. I want to keep this for the moment in separate branches, so I

remove this from the commit.

Please make sure that you start from the devel branch next time.

#4 - 04/11/2016 03:28 PM - Mayer Michael

Oups my bad. I probably got mixed up between the branches. Apologies and thanks for merging.
